AnsweredAssumed Answered

How to switch Weldment profile configuration

Question asked by Sanya Shmidt on May 27, 2016
Latest reply on May 28, 2016 by Deepak Gupta

Hello Guys!

Does anyone knows how to switch between weldment profiles (with multiple configurations)?

 

I have a configurable profile with a,b,c,d ... configs. The code below swaps the regular weldment profiles.

 

How do I tell SW to choose specific profile configuration?

 

           boolstatus = swModelDocExt.SelectByID2("Structural Member" & i, "BODYFEATURE", 0, 0, 0, False, 0, Nothing, 0)

            swWeldFeat = swSelMgr.GetSelectedObject6(1, 0)

            swWeldFeatData = swWeldFeat.GetDefinition

            swWeldFeatData.AccessSelections(swModel, Nothing)

            swWeldFeatData.WeldmentProfilePath = "C\TestVault\Engineering\Profiles\" & WeldProfileName

 

 

            boolstatus = swWeldFeat.ModifyDefinition(swWeldFeatData, swModel, Nothing)

Outcomes